﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Ocf;

namespace OcfApiClientHmi
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //This variable will be used to communicate with OcfAPI
        public dynamic Client { get; private set; }

        //Create a public property called Amplitude here
        public Double Amplitude
        {
            get { return Client.Amplitude; }
            set { Client.Amplitude = value; }
        }

        public MainWindow()
        {
            //Create the Ocf Client here
            //OcfApi.RegisterLicense("Company", "Key");
            Client = OcfApi.CreateOcfNativeUdpClient("127.0.0.1", 10000);
            
            //This is necessary for binding to properties of our window
            DataContext = this;

            InitializeComponent();
        }

        private void GetValueButton_Click(object sender, RoutedEventArgs e)
        {
            SignalValueTextBox.Text = Client.SignalValue;
        }
    }
}
